@echo off
REM JTS3ServerMod Service Script by Stefan Martens
REM Set the following path settings to make this script working!
REM 
REM Set path to the Windows Server 2003 Resource Kit Tools installation.
REM If not installed already, download it from:
REM http://www.microsoft.com/downloads/en/details.aspx?FamilyID=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en
SET ResourceKitPath=C:\Program Files\Windows Resource Kits\Tools\
REM 
REM Set path to the JTS3ServerMod directory
SET JTS3ServerModPath=C:\Program Files\JTS3ServerMod\
REM 
REM Set the service name
SET ServiceName=JTS3ServerMod
REM 
REM Do not change anything below this line!
IF NOT EXIST "%ResourceKitPath%instsrv.exe" (
  echo File "%ResourceKitPath%instsrv.exe" is missing!
  echo Open script file and set path correctly!
  goto END;
)
IF NOT EXIST "%ResourceKitPath%srvany.exe" (
  echo File "%ResourceKitPath%srvany.exe" is missing!
  echo Open script file and set path correctly!
  goto END;
)
IF NOT EXIST "%JTS3ServerModPath%JTS3ServerMod-Windows_NoWindow.exe" (
  echo File "%JTS3ServerModPath%JTS3ServerMod-Windows_NoWindow.exe" is missing!
  echo Open script file and set path correctly!
  goto END;
)

SET AdminTestPath=%windir%\System32\testadmintemp
mkdir "%AdminTestPath%" 2>nul
IF ERRORLEVEL 1 (
  echo You need admin permissions to run this script!
  goto END;
) else (
  rmdir "%AdminTestPath%"
)

"%ResourceKitPath%instsrv.exe" %ServiceName% "%ResourceKitPath%srvany.exe"
REG ADD HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\%ServiceName%\Parameters /v Application /t REG_SZ /d "%JTS3ServerModPath%JTS3ServerMod-Windows_NoWindow.exe"

echo.
echo Ready, you can now start the %ServiceName% service with the following command:
echo NET START JTS3ServerMod
echo You can also manage this service with services.msc (Services Control Panel)!

:END
PAUSE